REM Run from site folder.
call ..\Make-Settings.bat

cd %BASE_DIR%

REM Target directory
if not exist %TARGET_DIR% mkdir %TARGET_DIR%

REM Target file name prefix
set TARGET_NAME=%TARGET_DIR%\%RELEASE_LOWERCASE%

REM Make binaries
call Makefile.bat
del asm\*.lst asm\*.lab asm\*.atdbg

REM Make site folder
if not exist site\%RELEASE% mkdir site\%RELEASE%
copy %RELEASE%.* site\%RELEASE%
cd site\%RELEASE%

REM Make target.zip
set TARGET=%TARGET_NAME%.zip
if exist %TARGET% del %TARGET%
%WINRAR% a -r -afzip %TARGET% *.*
cd..
rmdir /S/Q %RELEASE%
cd..

REM Make target-source.zip
set TARGET=%TARGET_NAME%-source.zip
cd..
if exist %TARGET% del %TARGET%
%WINRAR% a -afzip -x*.atr %TARGET% %RELEASE%\*.* %RELEASE%\asm %RELEASE%\atr %RELEASE%\images %RELEASE%\launch %RELEASE%\site\Makefile-Site.bat

REM Copy files to productions
set URL_PREFIX=http://www.wudsn.com/productions/%PLATFORM_LOWERCASE%/%RELEASE_LOWERCASE%/%RELEASE_LOWERCASE%
cd %BASE_DIR%
echo BBS Code >%TARGET_DIR%\pouet.txt
call :add_to_target .zip download
call :add_to_target -source.zip source
call :copy_to_target -video.zip video
call :copy_to_target .nfo nfo
call :copy_to_target .gif gif
call :copy_to_target .jpg jpg
call :copy_to_target .png png

cd site
start %TARGET_DIR%
goto :eof

:add_to_target
if exist %TARGET_NAME%%1 (
  echo [url=%URL_PREFIX%%1]%2[/url] >>%TARGET_DIR%\pouet.txt
)
goto: eof

:copy_to_target
if exist %RELEASE%%1 (
  copy %RELEASE%%1 %TARGET_NAME%%1
  call :add_to_target %1 %2
)
goto: eof


